import { singleton } from 'zutils'

@singleton
export class OrderCacheSvr {
  private orderSet: Set<string> = new Set()

  public addOrder(orderId: string) {
    this.orderSet.add(orderId)
  }

  public isOrderExist(orderId: string) {
    return this.orderSet.has(orderId)
  }
  public removeOrder(orderId: string) {
    this.orderSet.delete(orderId)
  }
}
