import { GasSvr } from 'service/gas.svr'
import { PriceSvr } from 'service/price.svr'
import { fromWei, toBigInt, toBigWei } from 'zutils/utils/bn.util'

async function main() {
  let cryptoPrice = '0.1'
  let cryptoAmount = '10.305'
  let crypto = 'CEG'
  let gasLimit = '1,031,856'
  // let gas = gas * 0.0000000001
  let gas = toBigWei(gasLimit) / toBigInt('10,000,000,000')
  // 20230718 沟通, cryptoAmount包含了gas费, 需要减去后再发送

  let price = '1,980.2'
  let networkFee = (gas * toBigWei(price)) / toBigWei(cryptoPrice)
  console.log('networkFee::' + fromWei(networkFee))
  let cryptoSend = fromWei(toBigWei(cryptoAmount) - networkFee)
  console.log(cryptoSend)

  // let gas = gas * 0.0000000001
  const gasPriceArb = '100,000,000' // arbitrum one 上gasprice固定为0.1Gwei
  let eth = toBigInt(gasLimit) * toBigInt(gasPriceArb)
  let ethPrice = '1,980.2'
  let networkFee2 = (eth * toBigWei(ethPrice)) / toBigWei(cryptoPrice)
  console.log('networkFee2::' + fromWei(networkFee2))
  let cryptoSend2 = fromWei(toBigWei(cryptoAmount) - networkFee2)
  console.log(fromWei(toBigWei(cryptoSend2)))
}

main()
